## com.acme
Class SessionDump

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.acme.SessionDump

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class SessionDump

extends HttpServlet

Test Servlet Sessions.

Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`SessionDump()`

Method Summary
`void` `doGet(HttpServletRequest request, HttpServletResponse response)`
`void` `doPost(HttpServletRequest request, HttpServletResponse response)`
`String` `getServletInfo()`
`protected void` `handleForm(HttpServletRequest request, HttpServletResponse response)`
`void` `init(ServletConfig config)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionDump

    public SessionDump()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### handleForm

    protected void handleForm(HttpServletRequest request,
                              HttpServletResponse response)

### doPost

    public void doPost(HttpServletRequest request,
                       HttpServletResponse response)
                throws ServletException,
                       IOException

  Overrides:
    `doPost` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doGet

    public void doGet(HttpServletRequest request,
                      HttpServletResponse response)
               throws ServletException,
                      IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### getServletInfo

    public String getServletInfo()

  Specified by:
    `getServletInfo` in interface `Servlet`
  Overrides:
    `getServletInfo` in class `GenericServlet`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.